-- The resolved results are omitted from the function output

BEGIN;

-- Run for the first time to get results
SELECT 1  FROM run_isok_queries() AS riq;

-- Update the warnings so they are resolved.
UPDATE isok_results
  SET resolved = first_seen
  WHERE iqname = 'query1';

-- Examine what happens when we run again.

-- Omit the role, search_path, and (non-NULL) timestamps from the
-- column list, they change and cause the test to fail.

-- We should get nothing for query1.
SELECT irid, iqname, deferred_to, category
     , keep_until, qr_id, qr_message, qr_extra, notes
  FROM run_isok_queries() AS riq
  ORDER BY riq.irid;

ROLLBACK;


-- Cleanup

-- Reset the sequence so what this test did is ignored.
SELECT setval('isok_results_irid_seq', 1, FALSE);
